Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.JS.Pretty

# Documentation

br :: Int -> String #

unescape :: Char -> String #

unescapes :: String -> String #

class Pretty a where #

Minimal complete definition

pretty

Methods

pretty :: Nat -> Int -> a -> String #

Instances

Pretty Module # |
Methods pretty :: Nat -> Int -> Module -> String #
Pretty MemberId # |
Methods pretty :: Nat -> Int -> MemberId -> String #
Pretty GlobalId # |
Methods pretty :: Nat -> Int -> GlobalId -> String #
Pretty LocalId # |
Methods pretty :: Nat -> Int -> LocalId -> String #
Pretty Exp # |
Methods pretty :: Nat -> Int -> Exp -> String #
(Pretty a, Pretty b) => Pretty (a, b) # |
Methods pretty :: Nat -> Int -> (a, b) -> String #

class Pretties a where #

Minimal complete definition

pretties

Methods

pretties :: Nat -> Int -> a -> [String] #

Instances

Pretty a => Pretties [a] # |
Methods pretties :: Nat -> Int -> [a] -> [String] #
(Pretty a, Pretty b) => Pretties (Map a b) # |
Methods pretties :: Nat -> Int -> Map a b -> [String] #

block :: Nat -> Int -> Exp -> String #

block' :: Nat -> Int -> Exp -> String #

modname :: GlobalId -> String #

exports :: Nat -> Int -> Set [MemberId] -> [Export] -> String #